{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:villager_trade",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {}
          }
        ],
        "villager": {
          "type": "minecraft:villager",
          "nbt": "{Tags:[\"shopper\"]}"
        }
      }
    }
  },
  "rewards": {
    "function": "projectswords:dialogue/trade_shopper_repeat"
  }
}
